summaryrefslogtreecommitdiffstats
path: root/debian/postinst.ex
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-12-17 14:44:11 +0100
committerHolger Levsen <holger@layer-acht.org>2012-12-17 14:44:11 +0100
commitf569f72e8a63d1a1498aa251a94fe8545123def7 (patch)
tree77e57df81e643e016e2bbea517e5f9afc54900eb /debian/postinst.ex
parent12e461735d0b829c2393d7adaa6cc31eeb3ded71 (diff)
downloadjenkins.debian.net-f569f72e8a63d1a1498aa251a94fe8545123def7.tar.xz
untested, unfinished debian packaging of this setup. and also to create a package to install to be able to debug jobs
Diffstat (limited to 'debian/postinst.ex')
-rw-r--r--debian/postinst.ex39
1 files changed, 39 insertions, 0 deletions
diff --git a/debian/postinst.ex b/debian/postinst.ex
new file mode 100644
index 00000000..87c8673b
--- /dev/null
+++ b/debian/postinst.ex
@@ -0,0 +1,39 @@
+#!/bin/sh
+# postinst script for jenkins.debian.net
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0